Subject: bug#30077: closed (Re: bug#30077: 27.0.50; print-quoted should default to t)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 15 Jan 2018 18:44:02 +0000

Your bug report

#30077: 27.0.50; print-quoted should default to t

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
30077: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=30077
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#30077: 27.0.50; print-quoted should default to t
From: Stefan Monnier <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked]
Date: Mon, 15 Jan 2018 13:43:25 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

> I have no opinion about the change, but if this is installed, please
> mention the change in NEWS.

Done,

        Stefan

Subject: 27.0.50; print-quoted should default to t
From: Stefan Monnier <[email-masked]>
To: [email-masked]
Date: Thu, 11 Jan 2018 11:31:09 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Package: Emacs
Version: 27.0.50

I was reviewing some of my local patches and noticed that I tend to
let-bind print-quoted to t everywhere, and it occurred to me that
instead we should simply change the default.  I can't remember
a circumstance where I needed print-quoted to be nil (tho I wouldn't be
surprised if this patch ends up finding such a circumstance).

I suggest the patch below (for master, obviously).

        Stefan

diff --git a/src/print.c b/src/print.c
index 2c5cf108aa..b9d556c17c 100644
--- a/src/print.c
+++ b/src/print.c
@@ -2424,7 +2424,7 @@ This affects only `prin1'.  */);
   DEFVAR_BOOL ("print-quoted", print_quoted,
 	       doc: /* Non-nil means print quoted forms with reader syntax.
 I.e., (quote foo) prints as \\='foo, (function foo) as #\\='foo.  */);
-  print_quoted = 0;
+  print_quoted = true;
 
   DEFVAR_LISP ("print-gensym", Vprint_gensym,
 	       doc: /* Non-nil means print uninterned symbols so they will read as uninterned.